PUT Api/InspectionMaintenanceAction/{id}
URI Example
PUT Api/InspectionMaintenanceAction/{id}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
InspectionMaintActionBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| InspectionId | integer |
Required |
|
| Date | date |
Required |
|
| Description | string |
Required |
|
| IsStructural | boolean |
Required |
Request Formats
application/json, text/json, application/hal+json
-
{ "inspectionId": 1, "date": "2026-10-29T13:05:18.7306778+01:00", "description": "sample string 3", "isStructural": true }
Resource Description
InspectionMaintActionResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| InspectionId | integer |
None. |
|
| Date | date |
None. |
|
| Description | string |
None. |
|
| IsStructural | boolean |
None. |
|
| IsBlocked | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "inspectionId": 2, "date": "2026-10-29T13:05:18.7306778+01:00", "description": "sample string 4", "isStructural": true, "isBlocked": true, "updateDate": "2026-10-29T13:05:18.7306778+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }